# Depots

Use this endpoint to retrieve the list of all available car rental depots.

Endpoint: POST /cars/depots
Version: 3.1
Security: BearerAuth

## Header parameters:

  - `X-Affiliate-Id` (integer, required)
    Include here your Affiliate identifier number

## Request fields (application/json):

  - `last_modified` (string)
    The last modified date-time, only returns depots newer than this timestamp.
    Example: "2025-11-01T11:05:00+00:00"

  - `maximum_results` (integer)
    The maximum number of results to return.

  - `languages` (array)
    Example: ["en-us"]

  - `page` (string)
    Pagination token used to retrieve the next page of results. Obtained from next_page.

## Response 200 fields (application/json):

  - `request_id` (string)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `data` (array)

  - `data.id` (integer)
    Unique depot's ID.
    Example: 5944

  - `data.contact` (object)
    Contact information of the depot. It can be null if the data is missing.

  - `data.contact.email` (string,null)
    Email address of the depot. It can be null if the data is missing.
    Example: "depot@test.booking.com"

  - `data.contact.telephone` (string,null)
    Telephone number of the depot. It can be null if the data is missing.
    Example: "+31882847620"

  - `data.city` (integer)
    A signed integer number that uniquely identifies a city. You can see the full list of cities ids calling common/locations/cities.
    Example: -1471393

  - `data.drop_off` (object)
    Contains rented car drop off information.

  - `data.drop_off.instructions` (object,null)
    Drop off/pick up instructions.

  - `data.drop_off.instructions.^[a-z]{2}(-[a-z]{2})$` (string,null)
    The content localised in this language.

  - `data.drop_off.working_hours` (object,null)
    Depot's working hours.

  - `data.drop_off.working_hours.^(monday|tuesday|wednesday|thursday|friday|saturday|sunday)$` (array)
    Day working hours.

  - `data.drop_off.working_hours.^(monday|tuesday|wednesday|thursday|friday|saturday|sunday)$.closing_time` (string)
    Depot's closing time
    Example: "21:00"

  - `data.drop_off.working_hours.^(monday|tuesday|wednesday|thursday|friday|saturday|sunday)$.opening_time` (string)
    Depot's opening time.
    Example: "07:00"

  - `data.location` (object)
    Depot location information.

  - `data.location.address` (string,null)
    Depot address information.
    Example: "5 Aankomstpassage"

  - `data.location.airport` (string,null)
    Airport IATA code.
    Example: "AMS"

  - `data.location.city` (integer)
    A signed integer number that uniquely identifies a city. The full list can be obtained by calling common/locations/cities.

  - `data.location.depot_location_type` (string,null)
    Indicates the specific type of location where the car rental depot is situated. This helps you accurately inform travellers about the nature of the pick-up point—whether it's located inside an airport terminal, at a train station, in a downtown area, or elsewhere. This field is optional and may be null if the location type is not defined.
    Enum: "in_terminal", "car_rental_centre", "outside_terminal", "airport_hotel", "shuttle_bus", "meet_greet", "trainstation", "downtown"

  - `data.location.coordinates` (object)

  - `data.location.coordinates.latitude` (number)

  - `data.location.coordinates.longitude` (number)

  - `data.location.country` (string)
    A two-letter code that uniquely identifies a country. This code is defined by the ISO 3166-1 alpha-2 standard (ISO2) as described here: https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2. The full list can be obtained by calling common/locations/countries.
    Example: "nl"

  - `data.location.name` (object)
    Translated depot name.
    Example: "Amsterdam Airport Schiphol - Terminal 3"

  - `data.location.name.^[a-z]{2}(-[a-z]{2})$` (string,null)
    The content localised in this language.

  - `data.location.post_code` (string)
    Depot post code
    Example: "1118 AX"

  - `data.pick_up` (object)
    Contains rented car pick up information.

  - `data.pick_up.instructions` (object,null)
    Drop off/pick up instructions.

  - `data.pick_up.instructions.^[a-z]{2}(-[a-z]{2})$` (string,null)
    The content localised in this language.

  - `data.pick_up.working_hours` (object)
    Depot's working hours.

  - `data.pick_up.working_hours.^(monday|tuesday|wednesday|thursday|friday|saturday|sunday)$` (array)
    Day working hours.

  - `data.pick_up.working_hours.^(monday|tuesday|wednesday|thursday|friday|saturday|sunday)$.closing_time` (string)
    Depot's closing time
    Example: "21:00"

  - `data.pick_up.working_hours.^(monday|tuesday|wednesday|thursday|friday|saturday|sunday)$.opening_time` (string)
    Depot's opening time.
    Example: "07:00"

  - `data.services` (array)
    List of services provided by the depot.
    Enum: "shuttle", "meet_greet", "unknown"

  - `data.supplier` (integer)
    Related supplier id

  - `data.ratings` (object,null)
    Number of reviews and average score for the depot.

  - `data.ratings.number_of_reviews` (integer)
    Number of validated reviews for this depot.

  - `data.ratings.score` (number)
    A decimal number indicating the current review score of this depot, in the range 1..10.

  - `metadata` (object)
    Metadata about the request.

  - `metadata.next_page` (string,null)
    Indicates that more results are available. Use this pagination token to retrieve the next page of results (via parameter page).


